import React, { Component } from 'react';
import {
  Percent,
  ProgressBar,
  ProgressCircle,
} from '../../../src/react-progressor';
import styles from './Demo.css';

class Demo extends Component {
  constructor(props) {
    super(props);
    this.state = {
      value: '30',
      numValue: 30,
    };
  }
  _onChange(e) {
    let numValue;
    if (isNaN(Number(e.target.value))) {
      numValue = this.state.numValue;
    } else {
      numValue = Number(e.target.value);
    }
    this.setState({
      value: e.target.value,
      numValue,
    });
  }
  _onClick() {
    this.setState({
      value: (this.state.numValue + 10).toString(),
      numValue: this.state.numValue + 10,
    });
  }
  render() {
    return (
      <div>
        <h2>Demo</h2>
        <p className={styles.demoIntro}>
          Edit the current value below using the input or the button
          to change the percentage displayed on the
          demo components (value is out of 200).
        </p>
        <br />
        <input
          className={styles.input}
          type='text'
          value={this.state.value}
          onChange={this._onChange.bind(this)}
        />
        <button className={styles.button} onClick={this._onClick.bind(this)}>
          Add 10
        </button>
        <div className={styles.componentDemo}>
          <h3>ProgressBar</h3>
          <ProgressBar
            current={this.state.numValue}
            end={200}
            displayNum={true}
          />
          <br />
          <br />
          <code>
            {`<ProgressBar
            current={this.state.numValue}
            end={200}
            displayNum={true}
          />`.trim()}
          </code>
        </div>
        <div className={styles.componentDemo}>
          <h3>ProgressCircle</h3>
          <ProgressCircle
            current={this.state.numValue}
            end={200}
            displayNum={true}
          />
          <br />
          <br />
          <code>
            {`<ProgressCircle
            current={this.state.numValue}
            end={200}
            displayNum={true}
          />`.trim()}
          </code>
        </div>
        <div className={styles.componentDemo}>
          <h3>Percent</h3>
          <Percent
            current={this.state.numValue}
            end={200}
          />
          <br />
          <br />
          <code>
            {`<Percent
              current={this.state.numValue}
              end={200}
            />`.trim()}
          </code>
        </div>
      </div>
    );
  }
}

export default Demo;