import React from 'react';
import { render } from 'react-dom';
import { Router, Route, IndexRoute, hashHistory } from 'react-router';
import App from './components/app/App';
import Home from './components/home/Home';
import Docs from './components/docs/Docs';
import About from './components/about/About';

const root = document.getElementById('root');

render(
  <Router history={hashHistory}>
    <Route path='/' component={App}>
      <IndexRoute component={Home} />
      <Route path='/docs' component={Docs} />
      <Route path='/about' component={About} />
    </Route>
  </Router>,
  root
);