import path from 'path';
import HtmlPlugin from 'html-webpack-plugin';
import ExtractTextPlugin from 'extract-text-webpack-plugin';
import autoprefixer from 'autoprefixer';
import nested from 'postcss-nested';

const config = {
  entry: path.join(__dirname, 'entry.js'),
  output: {
    path: path.join(__dirname, '_build'),
    filename: 'bundle.js',
  },
  module: {
    loaders: [
      {
        test: /\.js$/,
        loaders: ['babel'],
        exclude: /node_modules/,
      },
      {
        test: /\.css$/,
        loader: ExtractTextPlugin.extract(['css?modules&importLoaders=1', 'postcss']),
      },
    ],
  },
  plugins: [
    new ExtractTextPlugin('bundle.css'),
    new HtmlPlugin({
      template: path.join(__dirname, 'index.html'),
    }),
  ],
  postcss() {
    return [nested, autoprefixer]; 
  }
};

export default config;